Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
888x888x888

Nhờ vả. Xin lisp đo độ dài line xuất ra text (đơn giản)

Các bài được khuyến nghị

Mình tìm nhiều nhưng toàn lisp kiểu này mà toàn cái phức tạp quá mức mình cần thiết

Mình muốn nhờ các bác làm hộ mình 1 cái lisp thật đơn giản thế này, pick vào line rồi xuất vào text có sẵn, chỉ vậy thôi, như cái lisp mình đang dùng mà ko phải pick điểm đầu, điểm cuối nữa mà pick vào line luôn (cả pline thì tốt) 

Cảm ơn các bác

Lisp mình đang dùng đây:

(defun c:gt (/ p1 p2 txt etxt d)
(setq p1 (getpoint "\n Chon diem thu nhat")
          p2 (getpoint "\n Chon diem thu hai ")
          txt (car (entsel "\n Chon text can thay" ))
          d (distance p1 p2)
         etxt (entget txt)
         etxt (subst (cons 1 (rtos d 2 2)) (assoc 1 etxt) etxt)
)
(entmod etxt)
(princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
10 giờ trước, 888x888x888 đã nói:

Mình tìm nhiều nhưng toàn lisp kiểu này mà toàn cái phức tạp quá mức mình cần thiết

Mình muốn nhờ các bác làm hộ mình 1 cái lisp thật đơn giản thế này, pick vào line rồi xuất vào text có sẵn, chỉ vậy thôi, như cái lisp mình đang dùng mà ko phải pick điểm đầu, điểm cuối nữa mà pick vào line luôn (cả pline thì tốt) 

Cảm ơn các bác

Lisp mình đang dùng đây:

(defun c:gt (/ p1 p2 txt etxt d)
(setq p1 (getpoint "\n Chon diem thu nhat")
          p2 (getpoint "\n Chon diem thu hai ")
          txt (car (entsel "\n Chon text can thay" ))
          d (distance p1 p2)
         etxt (entget txt)
         etxt (subst (cons 1 (rtos d 2 2)) (assoc 1 etxt) etxt)
)
(entmod etxt)
(princ)
) 

Lisp đây chủ thớt nhé:

(defun c:gt1  (/ line txt etxt d)
  (setq line (car (entsel "\Chon line: ")))
  (setq d (distance (cdr (assoc 10 (entget line))) (cdr (assoc 11 (entget line)))))
  (setq txt  (car (entsel "\n Chon text can thay"))
        etxt (entget txt)
        etxt (subst (cons 1 (rtos d 2 2)) (assoc 1 etxt) etxt)
        )
  (entmod etxt)
  (princ)
  )

 

  • Like 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Vào lúc 28/1/2021 tại 07:56, Bee đã nói:

Lisp đây chủ thớt nhé:


(defun c:gt1  (/ line txt etxt d)
  (setq line (car (entsel "\Chon line: ")))
  (setq d (distance (cdr (assoc 10 (entget line))) (cdr (assoc 11 (entget line)))))
  (setq txt  (car (entsel "\n Chon text can thay"))
        etxt (entget txt)
        etxt (subst (cons 1 (rtos d 2 2)) (assoc 1 etxt) etxt)
        )
  (entmod etxt)
  (princ)
  )

 

Thank bác nhé

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay
Đăng nhập để thực hiện theo  

×